Gestiono
Referencia de APIOrganization

Update Organization webhook

PATCH /v1/organization/webhook • validated by `patchWebhook`

← Back to full API reference
PATCH/v1/organization/webhookAuthentication required
  • Requires organization permissions for this resource.
  • Validated by Zod schema: patchWebhook.
  • This route is commonly used as a webhook endpoint.

Request details

Path params

No path parameters for this endpoint.

Query params

No explicit query schema was captured for this endpoint.

Body fields

  • id (required)

    Type: string

  • name

    Type: string

  • url

    Type: string

  • subscribed

    Type: array

    Example:

  • subscribed[] (required)

    Enum-like validator generated by zodFromObj

Default payloads

Path params

json
{}

Query

json
{}

Body

json
{
  "id": "00000000-0000-0000-0000-000000000000"
}

Sample response

json
{
  "success": true,
  "message": "Sample response placeholder for PATCH /v1/organization/webhook"
}

Test this endpoint now

Use your own credentials and execute a live request directly from this page.

1. Configure authentication for testing

You can test endpoints with signed API keys, a raw Authorization token, or browser cookies. Select one mode and fill in the required fields.

2. Select endpoint

PATCH/v1/organization/webhookAuthentication required

Group: Organization

PATCH /v1/organization/webhook • validated by `patchWebhook`

  • Requires organization permissions for this resource.
  • Validated by Zod schema: patchWebhook.
  • This route is commonly used as a webhook endpoint.

Body fields

  • idrequired
    Type: string
  • name
    Type: string
  • url
    Type: string
  • subscribed
    Type: array
    Ejemplo:
  • subscribed[]required
    Enum-like validator generated by zodFromObj

3. Prepare request payload

4. Server response

Run a request to inspect the real-time response for your environment.